Bug 94303 - net/mDNSResponder needs to be updated
Summary: net/mDNSResponder needs to be updated
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-11 01:30 UTC by bmw
Modified: 2006-05-14 14:36 UTC (History)
0 users

See Also:


Attachments
file.diff (3.05 KB, patch)
2006-03-11 01:30 UTC, bmw
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bmw 2006-03-11 01:30:13 UTC
The port net/mDNSResponder needs to be updated very badly.  It's several
point releases behind the OpenDarwin releases.  Also, the present port
breaks the mDNSProxyResponderPosix utility.  This updated port (107.5)
fixes that.

Fix: Here's a diff -u of my updated port against the present one ...

#
# Note:  manually remove files/patch-mDNSPosix_mDNSUNP.c
#
Comment 1 edwin 2006-03-11 02:37:02 UTC
On Fri, Mar 10, 2006 at 03:39:53PM -0500, Bruce Walker wrote:
> -PORTVERSION=	107.1
> -PORTREVISION=	2
> +PORTVERSION=	107.5
> +PORTREVISION=	1

No need to add a PORTREVISION if you increase the PORTVERSION.

-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@mavetju.org    |          Weblog: http://weblog.barnet.com.au/edwin/
Comment 2 bmw 2006-03-11 03:23:47 UTC
Terribly sorry, but my patch got slightly munged by some CVS filter 
somewhere before I send-pr submitted it.

Easy fix: line 33 (of 77) should be exactly this line:

-$FreeBSD: ports/net/mDNSResponder/files/patch-mDNSPosix_Makefile,v 1.1 
2005/03/
25 17:24:13 brooks Exp $


Sorry about the superfluous PORTREVISION too. :-)
Comment 3 Sergey Matveychuk freebsd_committer 2006-05-01 21:35:54 UTC
Patching file files/patch-mDNSPosix_Makefile using Plan A...
Hunk #1 failed at 1.
1 out of 1 hunks failed--saving rejects to
files/patch-mDNSPosix_Makefile.rej

-- 
Dixi.
Sem.
Comment 4 Sergey Matveychuk freebsd_committer 2006-05-01 21:36:31 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 5 Sam Lawrance freebsd_committer 2006-05-13 17:11:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Yoink.
Comment 6 Sam Lawrance freebsd_committer 2006-05-14 14:36:42 UTC
State Changed
From-To: feedback->closed

Committed, thanks!